#ifndef TCP_SOCKET_H
#define TCP_SOCKET_H

// Include standard libraries.
#include <iostream>
#include <string>
#include <cstring>
#include <cstdlib>

// Include socket libraries.
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <netdb.h>

// Include exception class.
#include "TcpSocketException.h"

class TcpSocket{
	private:
		int sock;
		struct sockaddr_in addr;
		struct hostent *hostData;
	
	public:
		TcpSocket() throw(TcpSocketException);
		~TcpSocket();
		bool connectTo(std::string ip, int port) throw(TcpSocketException);
		bool write(std::string data) throw(TcpSocketException);
		std::string read() throw(TcpSocketException);
		std::string getService();
};

#endif
